GNU bug report logs - #24049
GuixSD - problem with X11 forwarding

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: myglc2 <myglc2@HIDDEN>; merged with #22930, #23960; dated Thu, 21 Jul 2016 16:52:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 22930 23960 24049. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jul 2016 16:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 21 12:51:41 2016
Received: from localhost ([127.0.0.1]:60599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bQHCH-0003hn-6O
	for submit <at> debbugs.gnu.org; Thu, 21 Jul 2016 12:51:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHCD-0003hW-B7
 for submit <at> debbugs.gnu.org; Thu, 21 Jul 2016 12:51:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHC7-00053e-25
 for submit <at> debbugs.gnu.org; Thu, 21 Jul 2016 12:51:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36316)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHC6-00053Y-V5
 for submit <at> debbugs.gnu.org; Thu, 21 Jul 2016 12:51:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51181)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHC5-0006Mg-Eo
 for bug-guix@HIDDEN; Thu, 21 Jul 2016 12:51:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHC0-000529-CM
 for bug-guix@HIDDEN; Thu, 21 Jul 2016 12:51:28 -0400
Received: from plane.gmane.org ([80.91.229.3]:42423)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHC0-00051m-0u
 for bug-guix@HIDDEN; Thu, 21 Jul 2016 12:51:24 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bQHBo-000209-JL
 for bug-guix@HIDDEN; Thu, 21 Jul 2016 18:51:12 +0200
Received: from c-73-167-118-254.hsd1.ma.comcast.net ([73.167.118.254])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Thu, 21 Jul 2016 18:51:12 +0200
Received: from myglc2 by c-73-167-118-254.hsd1.ma.comcast.net with local
 (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Thu, 21 Jul 2016 18:51:12 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-guix@HIDDEN
From: myglc2 <myglc2@HIDDEN>
Subject: GuixSD - problem with X11 forwarding 
Date: Thu, 21 Jul 2016 12:49:07 -0400
Lines: 130
Message-ID: <cu7a8hbkkcc.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: c-73-167-118-254.hsd1.ma.comcast.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
Cancel-Lock: sha1:KJAZGpCyK836jY4ZWaEIJj0tCQc=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit


This is still open so I am moving it from user to bugs ...

From: myglc2 <myglc2@HIDDEN>
Subject: Re: guixSD - problem with X11 forwarding
Newsgroups: gmane.comp.gnu.guix.user
To: help-guix@HIDDEN
Date: Mon, 29 Feb 2016 21:12:51 -0500 (20 weeks, 2 days, 14 hours ago)

ludo@HIDDEN (Ludovic Courtès) writes:

> myglc2 <myglc2@HIDDEN> skribis:
>
>> On guixSD, with no packages installed in the login user profile, I get
>> 'X11 forwarding request failed on channel 0'
>
> [...]
>
>> debug1: channel 0: new [client-session]
>> debug1: Entering interactive session.
>> debug1: Requesting X11 forwarding with authentication spoofing.
>> debug1: Sending environment.
>> debug1: Sending env LANG = en_US.UTF-8
>> X11 forwarding request failed on channel 0
>
> Right, I see that as well.
>
> lshd gives some clues in /var/log/messages:
>
> Feb 23 18:14:09 localhost lshd[430]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
> Feb 23 18:14:09 localhost lshd[430]: lshd: xauth invocation failed: exit code: 127 
> Feb 23 18:14:33 localhost lshd[430]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
> Feb 23 18:14:33 localhost lshd[430]: lshd: write_buffer: Attempt to write data to closed buffer. 
> Feb 23 18:14:33 localhost lshd[430]: lshd: Disconnect for reason 11: disconnected by user 
>
> Indeed, server_x11.c in lsh reads:
>
> #ifndef XAUTH_PROGRAM
> # define XAUTH_PROGRAM "/usr/X11R6/bin/xauth"
> #endif
>
> I believe this is fixed by commit da35acf.

[...]

Not, at lease, in my setup. I am running GuixSD built from git checkout ...

b006ba5 [behind 15] pull:  Update the version string.
  
On the client, ssh produces ...

'X11 forwarding request failed on channel 0'

On the headless server (g1) in /var/log/messages ...

Jul 21 12:24:51 localhost lshd[381]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
Jul 21 12:24:51 localhost lshd[381]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 

With this workaround ...

sudo mkdir /tmp/.X11-unix
sudo chmod 777 /tmp/.X11-unix

... if I log out and back in X11 forwarding "works" and in
/var/log/messages ...

Jul 21 12:33:44 localhost lshd[381]: lshd: Updating utmp for login failed (errno = 2): No such file or directory

When I logout, in /var/log/messages I see ...

Jul 21 12:36:06 localhost lshd[381]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
Jul 21 12:36:06 localhost lshd[381]: lshd: write_buffer: Attempt to write data to closed buffer. 
Jul 21 12:36:06 localhost lshd[381]: lshd: Disconnect for reason 11: disconnected by user

Of course, the workaround needs to be re-applied each time the server is
rebooted.

The system and user configs are attached below ;-)


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=g1.scm
Content-Transfer-Encoding: base64

KHVzZS1wYWNrYWdlLW1vZHVsZXMKIGFzcGVsbAogYmFzZQogc2NoZW1lIDs7IHNpY3AKIGVtYWNz
ICA7OyBnZWlzZXItbmV4dAogKQoocGFja2FnZXMtPm1hbmlmZXN0CiAobGlzdAogIGFzcGVsbC1k
aWN0LWVuIDsgYmVjYXVzZSBlbWFjcyBkb2Vzbid0IGZpbmQgc3lzdGVtIGluc3RhbGwKICBnZWlz
ZXItbmV4dCAgICA7IHRlbXBvcmFyeSBmb3IgJ0MtYyBDLWQgQy1kJyB0byB3b3JrCiAgc2ljcCAg
ICAgICAgICAgOyBTSUNQIGluIHRleGluZm8KICApKQo=
--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=system.scm
Content-Transfer-Encoding: base64
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--=-=-=--





Acknowledgement sent to myglc2 <myglc2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#24049; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Aug 2016 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.